CREATE DATABASE trabalhofinal;
USE trabalhofinal;
CREATE TABLE mt_USUARIO(
ID INT AUTO_INCREMENT,
NOME VARCHAR(25),
PRIMARY KEY(ID),
EMAIL VARCHAR(25),
SENHA CHAR(12)
);

CREATE TABLE mt_SONS(
ID INT AUTO_INCREMENT,
NOME VARCHAR(25),
MODO CHAR(20),
PRIMARY KEY(ID)
);
CREATE TABLE mt_CATEGORIA(
ID INT AUTO_INCREMENT,
DESCRICAO VARCHAR(25),
PRIMARY KEY(ID)

);

CREATE TABLE mt_EVENTOS(
ID INT AUTO_INCREMENT,
DESCRICAO VARCHAR(25),
PRIMARY KEY(ID),
H_INICIAL CHAR(12),
H_Final  CHAR(12),
DATA DATE,
ALARME CHAR(12),
USUARIO_ID int(12),
SOM_ID INT (12),
CATEGORIA_ID int(12),
FOREIGN KEY (USUARIO_ID) REFERENCES mt_USUARIO(ID),
FOREIGN KEY (SOM_ID) REFERENCES mt_SONS(ID),
FOREIGN KEY(CATEGORIA_ID) REFERENCES mt_CATEGORIA(ID)
);

select * from  mt_USUARIO;

SELECT DATA, COUNT(*)
FROM mt_EVENTOS
GROUP BY DATA;

SELECT H_INICIAL, COUNT(*)
FROM mt_EVENTOS
GROUP BY H_INICIAL;

SELECT H_FINAL, COUNT(*)
FROM mt_EVENTOS
GROUP BY H_FINAL;

SELECT SONS_ID, COUNT(*)
FROM mt_EVENTOS
GROUP BY SONS_ID;